Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007714TestLinkBug Tracking System - Redmine Integrationpublic2016-10-21 01:452016-12-06 23:32
Reporterdreampet 
Assigned Tofman 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.15 (2015 Q4) 
Fixed in Version1.9.16 (2016 Q4) 
Summary0007714: failure to report issue
Descriptionupgrade form 1.9.14, and do not change anything ,but failue when create issue,
when click "save" in bugAdd.php,it show:
 "Create REDMINE Ticket FAILURE => Error Calling redminerestInterface->APIClient->addIssueFromXMLString() check Communication TimeOut - serialized issue:N;"
Steps To Reproduce1. update form 1.9.14 (do database migration)
2. Execute Tests and "click Create issue"
3. in the new window,click "save", then show "Create REDMINE Ticket FAILURE => Error Calling redminerestInterface->APIClient->addIssueFromXMLString() check Communication TimeOut - serialized issue:N;"
Additional Informationlog in userlog1.log
curl_setopt() expects parameter 1 to be resource, integer given - in /home/testlink/testlink-code/third_party/redmine-php-api/lib/redmine-rest-api.php - Line 320
    [16/Oct/21 01:04:13][WARNING][ta1ron0t3u53fkls3r8ech8bk5][GUI]
        E_WARNING
curl_setopt() expects parameter 1 to be resource, integer given - in /home/testlink/testlink-code/third_party/redmine-php-api/lib/redmine-rest-api.php - Line 321
    [16/Oct/21 01:04:13][WARNING][ta1ron0t3u53fkls3r8ech8bk5][GUI]
        E_WARNING
curl_setopt() expects parameter 1 to be resource, integer given - in /home/testlink/testlink-code/third_party/redmine-php-api/lib/redmine-rest-api.php - Line 353
    [16/Oct/21 01:04:13][WARNING][ta1ron0t3u53fkls3r8ech8bk5][GUI]
        E_WARNING
curl_setopt() expects parameter 1 to be resource, integer given - in /home/testlink/testlink-code/third_party/redmine-php-api/lib/redmine-rest-api.php - Line 356
    [16/Oct/21 01:04:13][WARNING][ta1ron0t3u53fkls3r8ech8bk5][GUI]
        E_WARNING
curl_exec() expects parameter 1 to be resource, integer given - in /home/testlink/testlink-code/third_party/redmine-php-api/lib/redmine-rest-api.php - Line 365
    [16/Oct/21 01:04:13][WARNING][ta1ron0t3u53fkls3r8ech8bk5][GUI]
        E_WARNING
curl_getinfo() expects parameter 1 to be resource, integer given - in /home/testlink/testlink-code/third_party/redmine-php-api/lib/redmine-rest-api.php - Line 366
    [16/Oct/21 01:04:13][WARNING][ta1ron0t3u53fkls3r8ech8bk5][GUI]
        E_WARNING
curl_error() expects parameter 1 to be resource, integer given - in /home/testlink/testlink-code/third_party/redmine-php-api/lib/redmine-rest-api.php - Line 367
    [16/Oct/21 01:04:13][WARNING][ta1ron0t3u53fkls3r8ech8bk5][GUI]
        Create REDMINE Ticket FAILURE => Error Calling redminerestInterface->APIClient->addIssueFromXMLString() check Communication TimeOut
    [16/Oct/21 01:04:13][WARNING][ta1ron0t3u53fkls3r8ech8bk5][GUI]
        E_NOTICE
Undefined variable: issue - in /home/testlink/testlink-code/lib/issuetrackerintegration/redminerestInterface.class.php - Line 427
TagsNo tags attached.
Database (MySQL,Postgres,etc)Mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0007756closedfman Unable to link created/existing issue from Redmine to TestLink 

-  Notes
(0025638)
fman (administrator)
2016-11-26 11:31

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/933f2fee8e49b242f336e9722366671963b81081 [^]
(0025668)
fman (administrator)
2016-12-06 23:32

no more user feedback

- Issue History
Date Modified Username Field Change
2016-10-21 01:45 dreampet New Issue
2016-11-26 10:57 fman Relationship added related to 0007756
2016-11-26 11:31 fman Note Added: 0025638
2016-11-26 11:32 fman QA Team - Task Workflow Status => TBD
2016-11-26 11:32 fman Fixed in Version => 1.9.16 (2016 Q4)
2016-11-26 11:46 fman Assigned To => fman
2016-11-26 11:46 fman Status new => feedback
2016-12-06 23:32 fman Note Added: 0025668
2016-12-06 23:32 fman Status feedback => closed
2016-12-06 23:32 fman Resolution open => fixed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker